@charset "UTF-8";

main {
    max-width: 1180px;
    margin: auto;
    padding: 0 40px;
    position: relative;
}

.kome {
    margin-top: 5px;
    color: var(--red-color);
    font-size: 93%;
    font-weight: var(--font-midium);
}

.link_green {
    color: var(--main-color);
    background-image: linear-gradient(#29916d, #29916d);
}

/** anime fade-in
===================================*/
.fade-in,
.fade-in-order {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s, transform 0.8s;
}

.fade-in.is-active,
.fade-in-order.is-active {
    opacity: 1;
    transform: translateY(0);
}

.fade-in.in-left {
    opacity: 0;
    transition: all 0.8s ease-in-out;
    transform: translateX(-50px);
}

.fade-in.in-left.is-active {
    opacity: 1;
    transform: translateY(0);
}

/** main_title
===================================*/
#main_title {
    width: 98vw;
    margin: 0 calc(50% - 49vw);
    border-radius: var(--radius);
    position: relative;
    overflow: hidden;
}

#main_title .w1100 {
    width: 93%;
    max-width: 1100px;
    height: 100%;
    margin: auto;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 9;
}

#main_title .main_title_bk {
    width: 100%;
    height: 190px;
    position: relative;
}

#main_title .main_title_bk .main_title_img {
    max-width: 570px;
    height: 70px;
    margin: auto;
    position: absolute;
    bottom: -24px;
    right: 0;
    left: 0;
    &::before {
        content: "";
        height: 100%;
        margin: auto;
        position: absolute;
        bottom: 15px;
        left: 0;
        right: 0;
        background: url(../common/decoration.svg) no-repeat center;
        background-size: contain;
        z-index: 9;
    }
    & img {
        width: 17vw;
        max-width: 85px;
        margin: auto;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 40px;
        z-index: 99;
    }
}

#main_title h2 {
    width: 100%;
    height: fit-content;
    margin: auto;
    color: #fff;
    font-size: 24px;
    font-family: var(--font-maru);
    letter-spacing: 0.03em;
    position: absolute;
    top: -20px;
    bottom: 0;
    left: 0;
    & br {
        display: none;
    }
    & span {
        margin-left: 1%;
        padding: 0 17px;
        font-size: 16px;
        font-family: var(--font-eng);
        font-weight: 500;
        position: relative;
        &::before,
        &::after {
            content: '';
            position: absolute;
            top: 50%;
            display: inline-block;
            width: 10px;
            height: 1.5px;
            background-color: #fff;
        }
        &::before {
            left: 0;
        }
        &::after {
            right: 0;
        }
    }
}

#main_title .pankuz {
    max-width: 340px;
    padding: 5px 15px;
    color: #fff;
    line-height: 1.2em;
    border-top: 1px solid #fff;
    border-right: 1px solid #fff;
    border-radius: 0 8px 0 0;
    position: absolute;
    bottom: 10px;
    left: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    & a {
        margin-right: 0.4em;
        padding-right: 0.7em;
        color: #fff;
        font-size: 11px;
        font-weight: var(--font-midium);
        position: relative;
        transition: all 0.5s;
        background: none;
        &:last-child {
            margin: 0;
            padding: 0;
        }
        &:not(:first-child) {
            pointer-events: none;
        }
        &:hover {
            color: rgba(255, 255, 255, 0.5);
        }
        &::before,
        &::after {
            content: "";
            margin: auto;
            position: absolute;
            top: 0;
            bottom: 0;
            vertical-align: middle;
        }
        &::after {
            width: 0.45em;
            height: 0.45em;
            right: 0;
            border-top: 1px solid #fff;
            border-right: 1px solid #fff;
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
        }
        &:last-child::before,
        &:last-child::after {
            display: none;
        }
    }
}


/** icon_window
===================================*/
.icon_window {
    height: 1em;
    & img {
        width: 0.7em;
        height: 0.7em;
        margin: -5px 0 0 0.5em;
        display: inline-block;
        vertical-align: middle;
        object-fit: cover;
    }
}


/** btn
===================================*/
.btn_text_aroow {
    width: fit-content;
    max-width: 280px;
    margin: 20px auto 0;
    line-height: var(--long-text);
}

.btn_text_aroow a {
    width: 100%;
    height: 100%;
    display: block;
    color: #fff;
    font-size: 15px;
    font-weight: var(--font-midium);
    padding: 10px 65px;
    position: relative;
    z-index: 9;
    background: none;
    transition: 0.3s all;
    &::before {
        content: "";
        width: 100%;
        height: 100%;
        background: var(--main-color);
        border-radius: 50px;
        position: absolute;
        top: 0;
        left: 0;
        z-index: -9;
        transition: transform 0.3s ease;
    }
    &:hover {
        letter-spacing: 0.1em;
        transition: 0.3s all;
    }
}

/*---- icon_arrow_middle ----*/
.icon_arrow_middle {
    margin: auto;
    position: absolute;
    right: 20px;
    top: 0;
    bottom: 0;
}

.icon_arrow_middle div {
    width: 23px;
    height: 100%;
    margin: auto;
    overflow: hidden;
    position: relative;
}

.icon_arrow_middle span {
    width: 10px;
    margin: auto;
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    &::before,
    &::after {
        content: "";
        margin: auto;
        vertical-align: middle;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
    }
    &::before {
        left: -5px;
        width: 15px;
        height: 1px;
        background: #fff;
    }
    &::after {
        left: 3px;
        width: 7px;
        height: 7px;
        border-top: 1px solid #fff;
        border-right: 1px solid #fff;
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }
}

.icon_arrow_middle span:first-child,
.icon_arrow_middle span:last-child {
    animation-fill-mode: forwards;
    animation-duration: 0.2s;
}

.icon_arrow_middle span:last-child {
    transform: translateX(-300%);
}

.btn_text_aroow_parent:hover .icon_arrow_middle span:first-child {
  animation-name: transformRightLeft;
  animation-delay: 0s;
}

.btn_text_aroow_parent:hover .icon_arrow_middle span:last-child {
    animation-name: transformLeftRight;
    animation-delay: 0.2s;
}

/*---- icon_arrow_min ----*/
.icon_arrow_min {
    width: 60px;
    height: 25px;
    background: var(--main-color);
    border-radius: 50px;
    position: relative;
}

.icon_arrow_min div {
    width: 20px;
    margin: auto;
    overflow: hidden;
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
}

.icon_arrow_min span {
    width: 6px;
    margin: auto;
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    &::before,
    &::after {
        content: "";
        margin: auto;
        vertical-align: middle;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
    }
    &::before {
        left: -4px;
        width: 12px;
        height: 1px;
        background: #fff;
    }
    &::after {
        left: 3px;
        width: 6px;
        height: 6px;
        border-top: 1px solid #fff;
        border-right: 1px solid #fff;
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }
}

.icon_arrow_min span:first-child,
.icon_arrow_min span:last-child {
    animation-fill-mode: forwards;
    animation-duration: 0.2s;
}

.icon_arrow_min span:last-child {
    transform: translateX(-300%);
}

.btn_links_parent:hover .icon_arrow_min span:first-child {
  animation-name: transformRightLeft;
  animation-delay: 0s;
}

.btn_links_parent:hover .icon_arrow_min span:last-child {
    animation-name: transformLeftRight;
    animation-delay: 0.2s;
}

@keyframes transformLeftRight {
  0% {transform: translateX(-300%);}
  100% {transform: translateX(0);}
}
@keyframes transformRightLeft {
  0% {transform: translateX(0);}
  100% {transform: translateX(300%);}
}

/*---- icon_arrow_min down ----*/
.icon_arrow_min.down div {
    width: 12px;
    height: 16px;
    margin: auto;
}

.icon_arrow_min.down div span {
    width: 100%;
    height: 16px;
    &::before {
        width: 1px;
        height: 12px;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: #fff; 
    }
    &::after {
        top: auto;
        bottom: 3px;
        transform: rotate(135deg);
    }
}

.icon_arrow_min.down span:first-child,
.icon_arrow_min.down span:last-child {
    animation-fill-mode: forwards;
    animation-duration: 0.2s;
}

.icon_arrow_min.down span:last-child {
    transform: translateY(-300%);
}

.btn_links_parent:hover .icon_arrow_min.down span:first-child {
    animation-name: transformTopBottomOut;
    animation-delay: 0s;
}

.btn_links_parent:hover .icon_arrow_min.down span:last-child {
    animation-name: transformTopBottomIn;
    animation-delay: 0.2s;
}

@keyframes transformTopBottomIn {
    0% { transform: translateY(-300%); }
    100% { transform: translateY(0); }
}

@keyframes transformTopBottomOut {
    0% { transform: translateY(0); }
    100% { transform: translateY(300%); }
}


/*---- icon_arrow_up ----*/
.icon_arrow_up {
    width: fit-content;
    margin: auto;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    & span {
        width: 1px;
        height: 11px;
        display: inline-block;
        vertical-align: middle;
        background: var(--main-color);
        position: relative;
    }
    & span::before {
        content: '';
        width: 6px;
        height: 6px;
        border: 1px solid var(--main-color);
        border-left: 0;
        border-bottom: 0;
        transform: rotate(-45deg);
        transform-origin: top right;
        position: absolute;
        top: -0.05em;
        right: 50%;
        box-sizing: border-box;
    }
}

/** tablet
===================================*/
@media screen and (max-width: 1024px) {
main {
    padding: 0 6%;
}

#main_title h2 {
    top: -25px;
    line-height: 1.2em;
    & br {
        display: block;
    }
    & span {
        font-size: 13px;
    }
}

#main_title .pankuz {
    max-width: 250px;
}

#main_title .main_title_bk .main_title_img {
    max-width: 420px;
    height: 55px;
}
}

/** sp
===================================*/
@media screen and (max-width: 768px) {
#main_title {
    width: 94vw;
    margin: 0 calc(50% - 47vw);
}

#main_title .main_title_bk {
    height: 0;
    padding-top: 170px;
    &::before {
        position: absolute;
        top: 0;
    }
    &::after {
        background-size: auto 100% !important;
        opacity: 0.85;
        mix-blend-mode: multiply;
    }
}

#main_title h2 {
    font-size: 18px;
    text-align: center;
    top: -70px;
    & span {
        font-size: 12px;
    }
}

#main_title .main_title_bk .main_title_img {
    max-width: 370px;
    bottom: -25px;
    & img {
        max-width: 75px;
        bottom: 40px;
    }
}

#main_title .pankuz {
    width: 100%;
    max-width: 90%;
    margin: auto;
    text-align: center;
    border: none;
    bottom: 70px;
    right: 0;
    & a {
        font-size: 10px;
    }
}

/*---- icon_arrow_min ----*/
.icon_arrow_min {
    width: 50px;
    height: 21px;
}

.icon_arrow_min div {
    width: 13px;
}

.icon_arrow_min span {
    width: 5px;
     &::after {
        width: 5px;
        height: 5px;
        left: 3.5px;
     }
}


}